geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jay D. McHugh (JIRA)" <j...@apache.org>
Subject [jira] Updated: (GERONIMO-3300) Upgrade Dojo to 1.0
Date Wed, 28 Nov 2007 16:25:43 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-3300?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jay D. McHugh updated GERONIMO-3300:
------------------------------------

          Description: 
Dojo 1.0 is now available.

But, to upgrade we will either need to rewrite all of the plugins that use Dojo widgets to
use the new (backward incompatible) versions -or- include both the 0.4.3 and 1.0.0 versions
of Dojo.

Having both versions would make it possible to transition over to the newer version of Dojo
in a more leisurely fashion but would introduce a fairly significant amount of bloat.

I would prefer that we would just replace the old version and rewrite whatever needs to be
rewritten but that would depend on how soon we are trying to get G2.1 out the door.

  was:
The new Dojo 0.9 Beta was just released.

It will reduce the footprint of the main dojo.js to under 50k - But will require that some
of the console
screens to be reworked because the widget system was completely redesigned and is incompatible.

    Affects Version/s:     (was: 2.0-M7)
                       2.1
              Summary: Upgrade Dojo to 1.0  (was: Upgrade Dojo to 0.9)

> Upgrade Dojo to 1.0
> -------------------
>
>                 Key: GERONIMO-3300
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-3300
>             Project: Geronimo
>          Issue Type: Improvement
>      Security Level: public(Regular issues) 
>          Components: console
>    Affects Versions: 2.1
>            Reporter: Jay D. McHugh
>            Assignee: Jay D. McHugh
>
> Dojo 1.0 is now available.
> But, to upgrade we will either need to rewrite all of the plugins that use Dojo widgets
to use the new (backward incompatible) versions -or- include both the 0.4.3 and 1.0.0 versions
of Dojo.
> Having both versions would make it possible to transition over to the newer version of
Dojo in a more leisurely fashion but would introduce a fairly significant amount of bloat.
> I would prefer that we would just replace the old version and rewrite whatever needs
to be rewritten but that would depend on how soon we are trying to get G2.1 out the door.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message